[arch-commits] Commit in python-ioflo/repos/community-any (PKGBUILD PKGBUILD)
Felix Yan
felixonmars at archlinux.org
Sun Oct 9 15:09:39 UTC 2016
Date: Sunday, October 9, 2016 @ 15:09:38
Author: felixonmars
Revision: 191712
archrelease: copy trunk to community-any
Added:
python-ioflo/repos/community-any/PKGBUILD
(from rev 191711, python-ioflo/trunk/PKGBUILD)
Deleted:
python-ioflo/repos/community-any/PKGBUILD
----------+
PKGBUILD | 106 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 53 insertions(+), 53 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2016-10-09 15:09:18 UTC (rev 191711)
+++ PKGBUILD 2016-10-09 15:09:38 UTC (rev 191712)
@@ -1,53 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-# Contributor: Thomas S Hatch <thatch45 at gmail.com>
-
-pkgbase=python-ioflo
-pkgname=('python-ioflo' 'python2-ioflo')
-pkgver=1.6.3
-pkgrel=1
-pkgdesc='Flo based programming interface in python'
-arch=('any')
-url='http://ioflo.com'
-license=('Apache')
-makedepends=('python-setuptools' 'python2-setuptools' 'python2-enum34' 'git')
-checkdepends=('python-pytest-runner' 'python2-pytest-runner')
-source=("git+https://github.com/ioflo/ioflo.git#tag=v$pkgver")
-md5sums=('SKIP')
-
-prepare() {
- cp -a ioflo{,-py2}
-}
-
-build() {
- cd "$srcdir"/ioflo
- python setup.py build
-
- cd "$srcdir"/ioflo-py2
- python2 setup.py build
-}
-
-check() {
- cd "$srcdir"/ioflo
- python setup.py ptr || warning "Tests failed"
-
- cd "$srcdir"/ioflo-py2
- python2 setup.py ptr || warning "Tests failed"
-}
-
-package_python-ioflo() {
- depends=('python')
-
- cd ioflo
- python setup.py install --root="$pkgdir" -O1
-}
-
-package_python2-ioflo() {
- depends=('python2-enum34')
-
- cd ioflo-py2
- python2 setup.py install --root="$pkgdir" -O1
-
- rm "$pkgdir"/usr/bin/ioflo
-}
Copied: python-ioflo/repos/community-any/PKGBUILD (from rev 191711, python-ioflo/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2016-10-09 15:09:38 UTC (rev 191712)
@@ -0,0 +1,53 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Thomas S Hatch <thatch45 at gmail.com>
+
+pkgbase=python-ioflo
+pkgname=('python-ioflo' 'python2-ioflo')
+pkgver=1.6.4
+pkgrel=1
+pkgdesc='Flo based programming interface in python'
+arch=('any')
+url='http://ioflo.com'
+license=('Apache')
+makedepends=('python-setuptools' 'python2-setuptools' 'python2-enum34' 'git')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner')
+source=("git+https://github.com/ioflo/ioflo.git#tag=v$pkgver")
+md5sums=('SKIP')
+
+prepare() {
+ cp -a ioflo{,-py2}
+}
+
+build() {
+ cd "$srcdir"/ioflo
+ python setup.py build
+
+ cd "$srcdir"/ioflo-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/ioflo
+ python setup.py ptr || warning "Tests failed"
+
+ cd "$srcdir"/ioflo-py2
+ python2 setup.py ptr || warning "Tests failed"
+}
+
+package_python-ioflo() {
+ depends=('python')
+
+ cd ioflo
+ python setup.py install --root="$pkgdir" -O1
+}
+
+package_python2-ioflo() {
+ depends=('python2-enum34')
+
+ cd ioflo-py2
+ python2 setup.py install --root="$pkgdir" -O1
+
+ rm "$pkgdir"/usr/bin/ioflo
+}
More information about the arch-commits
mailing list